%define name psiconv
%define version 0.9.8
%define release %mkrel 19
%define libname %mklibname %name 6
%define develname %mklibname -d %name

Summary: PSION 5(MX) file format data conversion utilities
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://software.frodo.looijaard.name/psiconv/files/%{name}-%{version}.tar.bz2
License: GPL
Group: File tools
Url: http://software.frodo.looijaard.name/psiconv/
BuildRequires: imagemagick-devel
BuildRequires: bc

%description
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

%package -n %libname
Group: System/Libraries
Summary: PSION 5(MX) file format data conversion library

%description -n %libname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

This contains a shared library that can be used by programs to convert
PSION files.

%package -n %develname
Group: Development/C
Summary: PSION 5(MX) file format data conversion library
Requires: %libname = %version
Provides: libpsiconv-devel = %version-%release
Obsoletes: %{_lib}psiconv6-devel < 0.9.8-17

%description -n %develname
The Psion 5 has several built-in applications. They use their own file
formats to save data files. Psion has written file conversion
utilities for Windows 95, in the form of their PsiWin program. But
there are no conversion utilities for other operating systems. Also,
Psion is not able to or does not want to release enough data for
others to write their own conversion programs. At least, that is what
I have gathered through the newsgroups and from other sources.

Install this if you want to compile an application that uses psiconv
to convert PSION files.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
%multiarch_binaries %buildroot%_bindir/psiconv-config
rm -rf %buildroot%_datadir/psiconv/xhtml %buildroot%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc TODO README NEWS AUTHORS ChangeLog
%dir %_sysconfdir/psiconv/
%config(noreplace) %_sysconfdir/psiconv/*
%_bindir/%name
%_mandir/man1/%name.1*
%_datadir/%name

%files -n %libname
%_libdir/libpsiconv.so.*

%files -n %develname
%_libdir/libpsiconv.so
%_includedir/%name
%_bindir/psiconv-config
%multiarch_bindir/psiconv-config
%_mandir/man1/psiconv-config.1*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.8-19.mga3
+ Revision: 378280
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.9.8-18.mga3
+ Revision: 330784
- rebuild for new imagemagick

* Sat Nov 26 2011 fwang <fwang> 0.9.8-17.mga3
+ Revision: 172002
- update devel package name
- drop .la file

* Fri Feb 25 2011 ennael <ennael> 0.9.8-16.mga1
+ Revision: 59141
- clean spec file
- imported package psiconv

